List income records
curl --request GET \
--url https://api.failfast.ai/treasury/income/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.failfast.ai/treasury/income/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.failfast.ai/treasury/income/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"error": false,
"data": {
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"total_value": "<string>",
"member": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stakeholder": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"is_bank_destination": true,
"deposit_reference": "<string>",
"deposit_date": "2023-12-25",
"is_directly_created": true,
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cash_register": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}
}Treasury
List income records
GET
/
treasury
/
income
/
List income records
Authorizations
Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
Comma-separated list of fields to include in each result (sparse fieldsets).
Comma-separated sort fields. Prefix a field with '-' for descending order.
⌘I

